### Method

# Vips Source map_blob

#### Declaration [src]

    VipsBlob*
    vips_source_map_blob (
      VipsSource* source
    )

#### Description [src]

Just like `vips_source_map()`, but return a `VipsBlob` containing the pointer. `source` will stay alive as long as the result is alive.

#### Return value

Type: `VipsBlob`

A new `VipsBlob` containing the data, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.